# List Pocket Transactions

Returns a list of pocket transactions. It does not include transactions between the bank account and brokerage account.

Endpoint: GET /api/v2/pockets/{pocket_id}/transactions/
Version: Version: 5153994b
Security: HTTPBearer

## Path parameters:

  - `pocket_id` (string, required)

## Query parameters:

  - `cursor` (string)

  - `limit` (integer)

  - `order` (string)
    Enum: "desc", "asc"

  - `direction` (any)

  - `amount_from` (any)

  - `amount_to` (any)

  - `filter[card]` (any)

  - `filter[portal]` (any)

  - `filter[type]` (any)

  - `filter[on_us_transfer]` (any)

  - `filter[wire]` (any)

  - `time_booked_from` (any)

  - `time_booked_to` (any)

  - `time_settled_from` (any)

  - `time_settled_to` (any)

  - `include_sweeps` (any)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `prev_page` (any)

  - `next_page` (any)

  - `items` (array, required) — one of (discriminator: type):
    - ACH:
      - `id` (string, required)
        The ID of the transaction from the perspective of the respective pocket
      - `transaction_id` (string, required)
        The ID of the transaction this activity is representing
      - `description` (string, required)
        A description of the transaction type, e.g. "ACH Electronic Debit".
      - `amount` (object, required)
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)
      - `time_booked` (string, required)
        The time at which the transaction was originally booked into the ledger.
      - `time_settled` (any, required)
        The time at which transaction was settled.
      - `status` (string, required)
        Status of the transactions. Has the transactions been settled
        Enum: "BOOKED", "SETTLED"
      - `title` (string, required)
      - `direction` (string, required)
        Enum: "DEBIT", "CREDIT"
      - `pocket_id` (string, required)
        The pocket associated with the transaction
      - `customer_id` (string, required)
        The customer associated with the transaction
      - `remittance_information` (any)
        - `unstructured` (string)
          Unstructured information provided by the originator of the transaction.
      - `type` (string, required)
      - `company_name` (string, required)
      - `company_entry_description` (any)
      - `individual_identification_number` (any)
      - `trace_number` (any)
      - `ach_id` (any)
      - `ach_direction` (string, required)
        Enum: "RECEIVING", "ORIGINATION"
      - `portal_id` (any)
    - CARD:
      - `id` (string, required)
        The ID of the transaction from the perspective of the respective pocket
      - `transaction_id` (string, required)
        The ID of the transaction this activity is representing
      - `description` (string, required)
        A description of the transaction type, e.g. "ACH Electronic Debit".
      - `amount` (object, required)
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)
      - `time_booked` (string, required)
        The time at which the transaction was originally booked into the ledger.
      - `time_settled` (any, required)
        The time at which transaction was settled.
      - `status` (string, required)
        Status of the transactions. Has the transactions been settled
        Enum: same as `status` in "ACH" (2 values)
      - `title` (string, required)
      - `direction` (string, required)
        Enum: same as `direction` in "ACH" (2 values)
      - `pocket_id` (string, required)
        The pocket associated with the transaction
      - `customer_id` (string, required)
        The customer associated with the transaction
      - `remittance_information` (any)
        - `unstructured` (string)
          Unstructured information provided by the originator of the transaction.
      - `type` (string, required)
      - `location` (any)
        - `street_address` (string, required)
        - `city` (string, required)
        - `state` (any)
        - `country` (string, required)
      - `counterparty` (any)
      - `terminal_id` (any)
      - `merchant_type` (any)
      - `pre_authorization` (boolean, required)
      - `issue_id` (any)
    - CREDIT:
      - `id` (string, required)
        The ID of the transaction from the perspective of the respective pocket
      - `transaction_id` (string, required)
        The ID of the transaction this activity is representing
      - `description` (string, required)
        A description of the transaction type, e.g. "ACH Electronic Debit".
      - `amount` (object, required)
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)
      - `time_booked` (string, required)
        The time at which the transaction was originally booked into the ledger.
      - `time_settled` (any, required)
        The time at which transaction was settled.
      - `status` (string, required)
        Status of the transactions. Has the transactions been settled
        Enum: same as `status` in "ACH" (2 values)
      - `title` (string, required)
      - `direction` (string, required)
        Enum: same as `direction` in "ACH" (2 values)
      - `pocket_id` (string, required)
        The pocket associated with the transaction
      - `customer_id` (string, required)
        The customer associated with the transaction
      - `remittance_information` (any)
        - `unstructured` (string)
          Unstructured information provided by the originator of the transaction.
      - `type` (string, required)
      - `period` (any)
        Set if cash back for a certain card period.
      - `card_id` (any)
        The ID of the card related to the credit.
    - FEE:
      - `id` (string, required)
        The ID of the transaction from the perspective of the respective pocket
      - `transaction_id` (string, required)
        The ID of the transaction this activity is representing
      - `description` (string, required)
        A description of the transaction type, e.g. "ACH Electronic Debit".
      - `amount` (object, required)
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)
      - `time_booked` (string, required)
        The time at which the transaction was originally booked into the ledger.
      - `time_settled` (any, required)
        The time at which transaction was settled.
      - `status` (string, required)
        Status of the transactions. Has the transactions been settled
        Enum: same as `status` in "ACH" (2 values)
      - `title` (string, required)
      - `direction` (string, required)
        Enum: same as `direction` in "ACH" (2 values)
      - `pocket_id` (string, required)
        The pocket associated with the transaction
      - `customer_id` (string, required)
        The customer associated with the transaction
      - `remittance_information` (any)
        - `unstructured` (string)
          Unstructured information provided by the originator of the transaction.
      - `type` (string, required)
      - `fee_type` (string, required)
    - GENERIC:
      - `id` (string, required)
        The ID of the transaction from the perspective of the respective pocket
      - `transaction_id` (string, required)
        The ID of the transaction this activity is representing
      - `description` (string, required)
        A description of the transaction type, e.g. "ACH Electronic Debit".
      - `amount` (object, required)
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)
      - `time_booked` (string, required)
        The time at which the transaction was originally booked into the ledger.
      - `time_settled` (any, required)
        The time at which transaction was settled.
      - `status` (string, required)
        Status of the transactions. Has the transactions been settled
        Enum: same as `status` in "ACH" (2 values)
      - `title` (string, required)
      - `direction` (string, required)
        Enum: same as `direction` in "ACH" (2 values)
      - `pocket_id` (string, required)
        The pocket associated with the transaction
      - `customer_id` (string, required)
        The customer associated with the transaction
      - `remittance_information` (any)
        - `unstructured` (string)
          Unstructured information provided by the originator of the transaction.
      - `type` (string, required)
      - `reference_transaction_id` (any, required)
        For reverse postings, the identity of the transaction being reversed.
    - ON_CHAIN:
      - `id` (string, required)
        The ID of the transaction from the perspective of the respective pocket
      - `transaction_id` (string, required)
        The ID of the transaction this activity is representing
      - `description` (string, required)
        A description of the transaction type, e.g. "ACH Electronic Debit".
      - `amount` (object, required)
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)
      - `time_booked` (string, required)
        The time at which the transaction was originally booked into the ledger.
      - `time_settled` (any, required)
        The time at which transaction was settled.
      - `status` (string, required)
        Status of the transactions. Has the transactions been settled
        Enum: same as `status` in "ACH" (2 values)
      - `title` (string, required)
      - `direction` (string, required)
        Enum: same as `direction` in "ACH" (2 values)
      - `pocket_id` (string, required)
        The pocket associated with the transaction
      - `customer_id` (string, required)
        The customer associated with the transaction
      - `remittance_information` (any)
        - `unstructured` (string)
          Unstructured information provided by the originator of the transaction.
      - `type` (string, required)
      - `blockchain_network` (string, required)
      - `counterparty_wallet_address` (string, required)
      - `counterparty_name` (any)
      - `end_to_end_identification` (any)
      - `transaction_hash` (any)
    - ON_US:
      - `id` (string, required)
        The ID of the transaction from the perspective of the respective pocket
      - `transaction_id` (string, required)
        The ID of the transaction this activity is representing
      - `description` (string, required)
        A description of the transaction type, e.g. "ACH Electronic Debit".
      - `amount` (object, required)
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)
      - `time_booked` (string, required)
        The time at which the transaction was originally booked into the ledger.
      - `time_settled` (any, required)
        The time at which transaction was settled.
      - `status` (string, required)
        Status of the transactions. Has the transactions been settled
        Enum: same as `status` in "ACH" (2 values)
      - `title` (string, required)
      - `direction` (string, required)
        Enum: same as `direction` in "ACH" (2 values)
      - `pocket_id` (string, required)
        The pocket associated with the transaction
      - `customer_id` (string, required)
        The customer associated with the transaction
      - `remittance_information` (any)
        - `unstructured` (string)
          Unstructured information provided by the originator of the transaction.
      - `type` (string, required)
      - `on_us_transfer_id` (string, required)
      - `on_us_transfer_type` (string, required)
      - `counterparty_name` (any)
      - `associated_pocket_id` (any)
        The id of the pocket on the other half of INTERNAL_REALLOCATION ON_US transfer.
      - `end_to_end_identification` (any)
    - WIRE:
      - `id` (string, required)
        The ID of the transaction from the perspective of the respective pocket
      - `transaction_id` (string, required)
        The ID of the transaction this activity is representing
      - `description` (string, required)
        A description of the transaction type, e.g. "ACH Electronic Debit".
      - `amount` (object, required)
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)
      - `time_booked` (string, required)
        The time at which the transaction was originally booked into the ledger.
      - `time_settled` (any, required)
        The time at which transaction was settled.
      - `status` (string, required)
        Status of the transactions. Has the transactions been settled
        Enum: same as `status` in "ACH" (2 values)
      - `title` (string, required)
      - `direction` (string, required)
        Enum: same as `direction` in "ACH" (2 values)
      - `pocket_id` (string, required)
        The pocket associated with the transaction
      - `customer_id` (string, required)
        The customer associated with the transaction
      - `remittance_information` (any)
        - `unstructured` (string)
          Unstructured information provided by the originator of the transaction.
      - `type` (string, required)
      - `reference_number` (string, required)
      - `counterparty_name` (string, required)
      - `wire_id` (any, required)

  - `object_type` (string)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


